# Installation
> `npm install --save @types/react-highlight`

# Summary
This package contains type definitions for react-highlight (https://github.com/akiran/react-highlight).

# Details
Files were exported from https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-highlight.
## [index.d.ts](https://github.com/DefinitelyTyped/DefinitelyTyped/tree/master/types/react-highlight/index.d.ts)
````ts
// Type definitions for react-highlight 0.12
// Project: https://github.com/akiran/react-highlight
// Definitions by: Josh Goldberg <https://github.com/joshuakgoldberg>, JP Lew <https://github.com/jplew>
// Definitions: https://github.com/DefinitelyTyped/DefinitelyTyped
// TypeScript Version: 2.8

import * as React from 'react';

/**
 * Props for a Highlight component.
 */
export interface HighlightProps {
    /**
     * Language name to use as a class to signal type to highlight.js.
     */
    className?: string | undefined;
    /**
     * Set innerHTML=true to highlight multiple code snippets at a time.
     */
    innerHTML?: boolean | undefined;
}

/**
 * Visually prettifies child code with highlight.js.
 */
declare const Highlight: React.ComponentClass<HighlightProps>;

export default Highlight;

````

### Additional Details
 * Last updated: Thu, 08 Jul 2021 20:20:46 GMT
 * Dependencies: [@types/react](https://npmjs.com/package/@types/react)
 * Global values: none

# Credits
These definitions were written by [Josh Goldberg](https://github.com/joshuakgoldberg), and [JP Lew](https://github.com/jplew).
